.mstr-icons-single-svg-icon {
  flex-shrink: 0;
}

.mstr-icons-single-icon.single-icon-common-button-size-small--baae5a5e {
  width: 22px;
  height: 22px;
  display: inline-block;
  background-repeat: no-repeat;
  flex-shrink: 0;
  background-image: url("data:image/svg+xml,%3csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3crect x='4.5' y='6.5' width='13' height='9' stroke='%2329313B'/%3e%3crect x='7' y='9' width='8' height='4' fill='%2329313B' fill-opacity='0.4'/%3e%3c/svg%3e");
  background-size: contain;
  background-position: center;
}
.mstr-icons-single-icon.single-icon-common-button-size-small--baae5a5e[disabled], .mstr-icons-single-icon.single-icon-common-button-size-small--baae5a5e[aria-disabled=true] {
  pointer-events: none;
  filter: contrast(0.33) brightness(1.5);
}

.mstr-icons-single-icon.single-icon-common-button-size-medium--e4927b08 {
  width: 22px;
  height: 22px;
  display: inline-block;
  background-repeat: no-repeat;
  flex-shrink: 0;
  background-image: url("data:image/svg+xml,%3csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3crect x='3.5' y='5.5' width='15' height='11' stroke='%2329313B'/%3e%3crect x='6' y='8' width='10' height='6' fill='%2329313B' fill-opacity='0.4'/%3e%3c/svg%3e");
  background-size: contain;
  background-position: center;
}
.mstr-icons-single-icon.single-icon-common-button-size-medium--e4927b08[disabled], .mstr-icons-single-icon.single-icon-common-button-size-medium--e4927b08[aria-disabled=true] {
  pointer-events: none;
  filter: contrast(0.33) brightness(1.5);
}

.mstr-icons-single-icon.single-icon-common-button-size-large--158b0e21 {
  width: 22px;
  height: 22px;
  display: inline-block;
  background-repeat: no-repeat;
  flex-shrink: 0;
  background-image: url("data:image/svg+xml,%3csvg width='22' height='22' viewBox='0 0 22 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3crect x='1.5' y='4.5' width='19' height='13' stroke='%2329313B'/%3e%3crect x='4' y='7' width='14' height='8' fill='%2329313B' fill-opacity='0.4'/%3e%3c/svg%3e");
  background-size: contain;
  background-position: center;
}
.mstr-icons-single-icon.single-icon-common-button-size-large--158b0e21[disabled], .mstr-icons-single-icon.single-icon-common-button-size-large--158b0e21[aria-disabled=true] {
  pointer-events: none;
  filter: contrast(0.33) brightness(1.5);
}

.mstr-advanced-sort {
  margin: 0;
  width: 420px;
  border: none;
  /* Hide scrollbar by default in WebKit browsers */
  /* Show scrollbar thumb with light gray color */
}
.mstr-advanced-sort-header {
  font-weight: bold;
  position: relative;
  line-height: 26px;
  height: 26px;
  border: solid 1px rgba(87, 90, 93, 0.1);
  display: flex;
  align-items: center;
  border-bottom: none;
}
.mstr-advanced-sort-header div:first-child {
  padding-left: 11px;
  width: 75px;
}
.mstr-advanced-sort-label {
  color: #444649;
  font-size: 12px;
  font-weight: var(--mstrd-font-weight-semibold, 600);
}
.mstr-advanced-sort-item {
  display: flex;
  align-items: center;
  cursor: default;
  box-sizing: border-box;
  padding: 0;
}
.mstr-advanced-sort-item:last-child .mstr-advanced-sort-delete {
  display: none;
}
.mstr-advanced-sort-rulesPanel {
  height: 256px;
  background-color: #fff;
  border: solid 1px rgba(87, 90, 93, 0.1);
  border-top: 0;
  overflow-y: scroll;
  overflow-x: hidden;
  scrollbar-width: thin;
  scrollbar-color: lightgray transparent;
  padding: 0;
  margin: 0;
}
.mstr-advanced-sort-rulesPanel::-webkit-scrollbar {
  width: 8px;
  background-color: transparent;
  /* Hidden until scroll */
}
.mstr-advanced-sort-rulesPanel::-webkit-scrollbar-thumb {
  background-color: lightgray;
  border-radius: 4px;
}
.mstr-advanced-sort .draggable-icon {
  float: left;
  margin: 1.76em 8px 1.76em 16px;
}
.mstr-advanced-sort-delete-container {
  width: 20px;
}
.mstr-advanced-sort-delete {
  width: 14px;
  height: 14px;
  cursor: pointer;
  margin-left: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  border: none;
  background: none;
}
.mstr-advanced-sort-delete svg {
  height: 20px;
  width: 20px;
}
.mstr-advanced-sort-delete:focus-visible {
  outline: 2px solid #0e6ff9;
  outline-offset: 1px;
}
.mstr-advanced-sort-handle {
  margin-right: 10px;
  font-size: 18px;
}
.mstr-advanced-sort-order {
  width: 80px;
  text-align: center;
  display: flex;
  align-items: center;
  height: 31px;
  padding: 0;
  background: none;
  border: none;
}
.mstr-advanced-sort-order span:last-child {
  float: left;
  padding: 1px;
  line-height: 31px;
}
.mstr-advanced-sort-order:focus-visible {
  outline: 2px solid #0e6ff9;
  outline-offset: -2px;
}
.mstr-advanced-sort-orderSelected {
  background-color: #0e6ff9;
}
.mstr-advanced-sort-hrlSortBox {
  margin-left: auto;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: end;
}
.mstr-advanced-sort-hrlSortBox span {
  margin-left: 2px;
}
.mstr-advanced-sort-hrlSortBox .mstr-rc-base-checkbox input:checked {
  background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA4IDgiPgogIDxwYXRoIGZpbGw9IiNmZmYiIGZpbGwtcnVsZT0iZXZlbm9kZCIgY2xpcC1ydWxlPSJldmVub2RkIiBkPSJNMi45NzMgNy40NDMuMjI1IDQuNjJhLjguOCAwIDAgMSAxLjE0OC0xLjExNkwyLjk0IDUuMTE1bDMuNjctMy45OTRhLjguOCAwIDAgMSAxLjE3OCAxLjA4MmwtNC44MTYgNS4yNFoiLz4KPC9zdmc+');
  background-position: center;
  background-repeat: no-repeat;
  background-size: 8px 8px;
  mask: none;
}
.mstr-advanced-sort-select {
  margin-right: 10px;
  padding: 4px;
}
.mstr-advanced-sort-select .mstr-rc-base-input {
  box-shadow: transparent 0 0 0 0 inset;
  border-color: transparent;
  background-color: #f2f3f5;
}
@media screen and (max-width: 600px) {
  .mstr-advanced-sort-select .mstr-rc-base-input {
    width: 120px;
  }
}
.mstr-advanced-sort-select .mstr-rc-base-input:has(> input:disabled) {
  color: rgba(68, 70, 73, 0.9);
  opacity: 0.35;
}
.mstr-advanced-sort-select .mstr-rc-base-input.mstr-rc-base-input:hover:not(:has(> input:focus-visible)) {
  border-color: transparent;
}
.mstr-advanced-sort-select .mstr-rc-base-input input::selection {
  background-color: transparent;
  color: #444649;
}
.mstr-advanced-sort-select .collapse-icon {
  background-image: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHZpZXdCb3g9IjAgMCAxOCAxOCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4NCjxwYXRoIGQ9Ik0xMiA4LjE1Mjg2TDkgMTAuODk5OUw2IDguMTQ5OSIgc3Ryb2tlPSIjMzUzODNBIiBzdHJva2UtbGluZWNhcD0ic3F1YXJlIi8+DQo8L3N2Zz4NCg==');
  width: 18px;
}
.mstr-advanced-sort-select .collapse-icon svg {
  display: none;
}
.mstr-advanced-sort-content {
  height: 378px;
}
.mstr-advanced-sort-orderSelect {
  width: 150px;
}
.mstr-advanced-sort-orderSelect .mstr-rc-base-input {
  border-radius: 2px;
}
.mstr-advanced-sort-orderSelect .mstr-rc-base-select:has(input:disabled) {
  opacity: 0.6;
}
.mstr-advanced-sort-orderSelect .mstr-rc-base-input:has(> input:focus-visible) {
  border: 2px solid #0e6ff9;
}
.mstr-advanced-sort-sortSelect {
  width: 110px;
}
.mstr-advanced-sort-sortSelect .mstr-rc-base-input {
  border-radius: 2px;
}
@media screen and (max-width: 600px) {
  .mstr-advanced-sort-sortSelect .mstr-rc-base-input {
    width: 78px;
  }
}
.mstr-advanced-sort-sortSelect .mstr-rc-base-input:has(> input:focus-visible) {
  border: 2px solid #0e6ff9;
}
.mstr-advanced-sort-actions {
  display: flex;
  float: right;
  margin-bottom: 5px;
}
.mstr-advanced-sort-actions button {
  cursor: pointer;
}
.mstr-advanced-sort-actions button:last-child {
  margin-left: 10px;
}
html[data-platform='web'] .mstr-advanced-sort-actions button {
  border-radius: 4px;
  height: 30px;
  font-size: 14px;
  border: none;
}
html[data-platform='web'] .mstr-advanced-sort-cancel-button {
  position: relative;
  min-width: 60px;
  margin: 0 0 0 16px;
  box-sizing: border-box;
  box-shadow: rgba(68, 70, 73, 0.05) 0 1px 2px 0;
  font-size: 11px;
  border: transparent;
  cursor: default;
  color: #3B92ED;
  background-color: #f2f3f5;
}
html[data-platform='web'] .mstr-advanced-sort-cancel-button:hover {
  background-color: #f2f3f5;
}
.mstr-advanced-sort-loading-placeholder {
  min-width: 480px;
  min-height: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.mstr-advanced-sort-loading-placeholder .mstr-rc-base-spinner {
  background-image: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgogIDxkZWZzPgogICAgPHN5bWJvbCBpZD0ic3Bpbm5lci1yZWd1bGFyIiB2aWV3Qm94PSIwIDAgMTggMTgiPgogICAgICA8Y2lyY2xlIGN4PSI5IiBjeT0iOSIgcj0iNyIgc3Ryb2tlLXdpZHRoPSIxIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgZmlsbD0ibm9uZSIgc3Ryb2tlLWRhc2hhcnJheT0iMzMgMTIiICAvPgogICAgPC9zeW1ib2w+CiAgICA8c3ltYm9sIGlkPSJzcGlubmVyLWxhcmdlIiB2aWV3Qm94PSIwIDAgNjAgNjAiPgogICAgICA8Y2lyY2xlIGN4PSIzMCIgY3k9IjMwIiByPSIxMiIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgZmlsbD0ibm9uZSIgc3Ryb2tlLWRhc2hhcnJheT0iNTYgMTgiICAvPgogICAgPC9zeW1ib2w+CiAgPC9kZWZzPgo8L3N2Zz4K');
}
.mstr-advanced-sort-loading-placeholder .mstr-rc-base-spinner svg {
  display: none;
}
div.mstr-advanced-sort-select,
div.mstr-advanced-sort-tooltip {
  z-index: 10;
}
div.mstrmojo-AdvancedSortEditorReact {
  font-family: var(--mstrd-default-font, '-apple-system', 'BlinkMacSystemFont', 'Helvetica Neue', 'Segoe UI', 'Roboto', helvetica, arial, 'Sans-serif');
  border-radius: 8px;
  box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.3);
  font-weight: var(--mstrd-font-weight-medium, 500);
  border: none;
}
div.mstrmojo-AdvancedSortEditorReact .mstrmojo-Editor-title-container {
  height: 40px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  background: #f7f8fa;
  padding: 0;
  box-shadow: none;
}
div.mstrmojo-AdvancedSortEditorReact .mstrmojo-Editor-title-container .mstrmojo-Editor-title {
  font-size: 14px;
  font-weight: var(--mstrd-font-weight-medium, 500);
  text-align: center;
  line-height: 40px;
  margin: 0;
}
div.mstrmojo-AdvancedSortEditorReact .mstrmojo-Editor-title-container .mstrmojo-Editor-help {
  display: none !important;
}
div.mstrmojo-AdvancedSortEditorReact .mstrmojo-Editor-title-container .mstrmojo-Editor-close {
  display: none;
}
div.mstrmojo-AdvancedSortEditorReact .mstrmojo-Editor-title-container .mstrmojo-Editor-content {
  background-color: #FFF;
  border-radius: 8px;
}

.mstr-rc-base-spinner {
  animation: spin 650ms linear infinite;
  color: var(--rc-fill-primary-accent-color);
}
.mstr-rc-base-spinner--large {
  height: 60px;
  width: 60px;
}
.mstr-rc-base-spinner--regular {
  height: 18px;
  width: 18px;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
:root[data-platform=web], :root[data-platform=si] {
  font-family: 'SF Pro Text', 'Segoe UI', helvetica, system-ui, Arial, sans-serif;
}
:root[data-platform=workstation] {
  font-family: sans-serif;
}
:root .mstr-rc-base-theme-container {
  width: 100%;
  height: 100%;
  --rc-fill-disabled-tertiary: #d7d7d8;
  --rc-focus-blue: #0661e0;
  --rc-unset-gray: #9a9b9c;
  --rc-primary-white: #ffffff;
  --rc-warning-orange: #fda42a;
  --rc-error-red: #d9232e;
  --rc-font-size-xxs: 10px;
  --rc-font-size-xs: 11px;
  --rc-font-size-s: 12px;
  --rc-font-size-m: 14px;
  --rc-font-size-l: 16px;
  --rc-font-size-xl: 18px;
  --rc-font-line-height-xs: 14px;
  --rc-font-line-height-s: 16px;
  --rc-font-line-height-m: 18px;
  --rc-font-line-height-l: 20px;
  --rc-font-line-height-xl: 22px;
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=light] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: #e9f2fe;
  --rc-fill-secondary: #f2f3f5;
  --rc-fill-disabled-primary: #86b7fc;
  --rc-fill-disabled-secondary: #f2f3f5;
  --rc-fill-pressed-primary: #0661e0;
  --rc-fill-pressed-secondary: #e7e9eb;
  --rc-fill-hover-secondary: #f7f8fa;
  --rc-fill-hover-primary-button: #3e8cfa;
  --rc-fill-primary-accent-color: #0e6ff9;
  --rc-fill-button-tertiary: #ffffff;
  --rc-fill-button-tertiary-hover: #3e8cfa;
  --rc-fill-button-tertiary-disabled: #86b7fc;
  --rc-text-primary: #29313b;
  --rc-text-secondary: #9a9b9c;
  --rc-text-tertiary: #575a5d;
  --rc-text-button-primary: #ffffff;
  --rc-text-button-disabled-primary: #ffffff;
  --rc-text-button-secondary: #0661e0;
  --rc-text-button-secondary-hover: #0661e0;
  --rc-text-button-disabled-secondary: #a9adb1;
  --rc-stroke-primary: #575a5d;
  --rc-stroke-secondary: #d7d7d8;
  --rc-stroke-tertiary: #e7e9eb;
  --rc-stroke-quaternary: #86b7fc;
  --rc-stroke-quinary: #d7d7d8;
  --rc-stroke-hover-primary: #0661e0;
  --rc-stroke-divider: #e7e9eb;
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=red] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: rgba(208, 25, 43, 0.09);
  --rc-fill-secondary: rgba(208, 25, 43, 0.09);
  --rc-fill-disabled-primary: rgba(208, 25, 43, 0.5);
  --rc-fill-disabled-secondary: rgba(58, 47, 47, 0.05);
  --rc-fill-pressed-primary: #d0192b;
  --rc-fill-pressed-secondary: #ffffff;
  --rc-fill-hover-secondary: rgba(208, 25, 43, 0.07);
  --rc-fill-hover-primary-button: rgba(208, 25, 43, 0.8);
  --rc-fill-primary-accent-color: #d0192b;
  --rc-fill-button-tertiary: #ffffff;
  --rc-fill-button-tertiary-hover: rgba(208, 25, 43, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(208, 25, 43, 0.5);
  --rc-text-primary: #3a2f2f;
  --rc-text-secondary: rgba(58, 47, 47, 0.4);
  --rc-text-tertiary: rgba(58, 47, 47, 0.6);
  --rc-text-button-primary: #ffffff;
  --rc-text-button-secondary: #d0192b;
  --rc-text-button-secondary-hover: #d0192b;
  --rc-text-button-disabled-primary: rgba(255, 255, 255, 0.5);
  --rc-text-button-disabled-secondary: rgba(58, 47, 47, 0.4);
  --rc-stroke-primary: rgba(58, 47, 47, 0.8);
  --rc-stroke-secondary: rgba(58, 47, 47, 0.5);
  --rc-stroke-tertiary: rgba(58, 47, 47, 0.4);
  --rc-stroke-quaternary: #d0192b;
  --rc-stroke-quinary: rgba(58, 47, 47, 0.2);
  --rc-stroke-hover-primary: #d0192b;
  --rc-stroke-divider: rgba(58, 47, 47, 0.1);
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=yellow] {
  --rc-fill-primary: #232323;
  --rc-fill-capsule: rgba(247, 174, 19, 0.09);
  --rc-fill-secondary: rgba(247, 174, 19, 0.09);
  --rc-fill-disabled-primary: rgba(247, 174, 19, 0.5);
  --rc-fill-disabled-secondary: rgba(255, 255, 255, 0.05);
  --rc-fill-pressed-primary: #f7ae13;
  --rc-fill-pressed-secondary: #000000;
  --rc-fill-hover-secondary: rgba(247, 174, 19, 0.07);
  --rc-fill-hover-primary-button: rgba(247, 174, 19, 0.8);
  --rc-fill-primary-accent-color: #f7ae13;
  --rc-fill-button-tertiary: #232323;
  --rc-fill-button-tertiary-hover: rgba(247, 174, 19, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(247, 174, 19, 0.5);
  --rc-text-primary: #ffffff;
  --rc-text-secondary: rgba(255, 255, 255, 0.4);
  --rc-text-tertiary: rgba(255, 255, 255, 0.6);
  --rc-text-button-primary: #000000;
  --rc-text-button-secondary: #f7ae13;
  --rc-text-button-secondary-hover: #f7ae13;
  --rc-text-button-disabled-primary: rgba(0, 0, 0, 0.5);
  --rc-text-button-disabled-secondary: rgba(255, 255, 255, 0.4);
  --rc-stroke-primary: rgba(255, 255, 255, 0.8);
  --rc-stroke-secondary: rgba(255, 255, 255, 0.5);
  --rc-stroke-tertiary: rgba(255, 255, 255, 0.4);
  --rc-stroke-quaternary: #f7ae13;
  --rc-stroke-quinary: rgba(255, 255, 255, 0.2);
  --rc-stroke-hover-primary: #f7ae13;
  --rc-stroke-divider: rgba(255, 255, 255, 0.1);
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=dark] {
  --rc-fill-primary: #23262a;
  --rc-fill-capsule: rgba(82, 154, 254, 0.09);
  --rc-fill-secondary: rgba(82, 154, 254, 0.09);
  --rc-fill-disabled-primary: rgba(82, 154, 254, 0.5);
  --rc-fill-disabled-secondary: rgba(255, 255, 255, 0.05);
  --rc-fill-pressed-primary: #529afe;
  --rc-fill-pressed-secondary: #29313b;
  --rc-fill-hover-secondary: rgba(82, 154, 254, 0.07);
  --rc-fill-hover-primary-button: rgba(82, 154, 254, 0.8);
  --rc-fill-primary-accent-color: #529afe;
  --rc-fill-button-tertiary: #23262a;
  --rc-fill-button-tertiary-hover: rgba(82, 154, 254, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(82, 154, 254, 0.5);
  --rc-text-primary: #ffffff;
  --rc-text-secondary: rgba(255, 255, 255, 0.4);
  --rc-text-tertiary: rgba(255, 255, 255, 0.6);
  --rc-text-button-primary: #29313b;
  --rc-text-button-secondary: #529afe;
  --rc-text-button-secondary-hover: #529afe;
  --rc-text-button-disabled-primary: rgba(41, 49, 59, 0.5);
  --rc-text-button-disabled-secondary: rgba(255, 255, 255, 0.4);
  --rc-stroke-primary: rgba(255, 255, 255, 0.8);
  --rc-stroke-secondary: rgba(255, 255, 255, 0.5);
  --rc-stroke-tertiary: rgba(255, 255, 255, 0.4);
  --rc-stroke-quaternary: #529afe;
  --rc-stroke-quinary: rgba(255, 255, 255, 0.2);
  --rc-stroke-hover-primary: #529afe;
  --rc-stroke-divider: rgba(255, 255, 255, 0.1);
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=green] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: rgba(0, 135, 95, 0.09);
  --rc-fill-secondary: rgba(0, 135, 95, 0.09);
  --rc-fill-disabled-primary: rgba(0, 135, 95, 0.5);
  --rc-fill-disabled-secondary: rgba(25, 38, 39, 0.05);
  --rc-fill-pressed-primary: #00875f;
  --rc-fill-pressed-secondary: #ffffff;
  --rc-fill-hover-secondary: rgba(0, 135, 95, 0.07);
  --rc-fill-hover-primary-button: rgba(0, 135, 95, 0.8);
  --rc-fill-primary-accent-color: #00875f;
  --rc-fill-button-tertiary: #ffffff;
  --rc-fill-button-tertiary-hover: rgba(0, 135, 95, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(0, 135, 95, 0.5);
  --rc-text-primary: #192627;
  --rc-text-secondary: rgba(25, 38, 39, 0.4);
  --rc-text-tertiary: rgba(25, 38, 39, 0.6);
  --rc-text-button-primary: #ffffff;
  --rc-text-button-secondary: #00875f;
  --rc-text-button-secondary-hover: #00875f;
  --rc-text-button-disabled-primary: rgba(255, 255, 255, 0.5);
  --rc-text-button-disabled-secondary: rgba(25, 38, 39, 0.4);
  --rc-stroke-primary: rgba(25, 38, 39, 0.8);
  --rc-stroke-secondary: rgba(25, 38, 39, 0.5);
  --rc-stroke-tertiary: rgba(25, 38, 39, 0.4);
  --rc-stroke-quaternary: #00875f;
  --rc-stroke-quinary: rgba(25, 38, 39, 0.2);
  --rc-stroke-hover-primary: #00875f;
  --rc-stroke-divider: rgba(25, 38, 39, 0.1);
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=darkBlue] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: rgba(48, 103, 187, 0.09);
  --rc-fill-secondary: rgba(48, 103, 187, 0.09);
  --rc-fill-disabled-primary: rgba(48, 103, 187, 0.5);
  --rc-fill-disabled-secondary: rgba(12, 28, 53, 0.05);
  --rc-fill-pressed-primary: #3067bb;
  --rc-fill-pressed-secondary: #ffffff;
  --rc-fill-hover-secondary: rgba(48, 103, 187, 0.07);
  --rc-fill-hover-primary-button: rgba(48, 103, 187, 0.8);
  --rc-fill-primary-accent-color: #3067bb;
  --rc-fill-button-tertiary: #ffffff;
  --rc-fill-button-tertiary-hover: rgba(48, 103, 187, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(48, 103, 187, 0.5);
  --rc-text-primary: #0c1c35;
  --rc-text-secondary: rgba(12, 28, 53, 0.4);
  --rc-text-tertiary: rgba(12, 28, 53, 0.6);
  --rc-text-button-primary: #ffffff;
  --rc-text-button-secondary: #3067bb;
  --rc-text-button-secondary-hover: #3067bb;
  --rc-text-button-disabled-primary: rgba(255, 255, 255, 0.5);
  --rc-text-button-disabled-secondary: rgba(12, 28, 53, 0.4);
  --rc-stroke-primary: rgba(12, 28, 53, 0.8);
  --rc-stroke-secondary: rgba(12, 28, 53, 0.5);
  --rc-stroke-tertiary: rgba(12, 28, 53, 0.4);
  --rc-stroke-quaternary: #3067bb;
  --rc-stroke-quinary: rgba(12, 28, 53, 0.2);
  --rc-stroke-hover-primary: #3067bb;
  --rc-stroke-divider: rgba(12, 28, 53, 0.1);
}
:root[data-platform=web] .mstr-rc-base-theme-container[data-theme=blue] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: rgba(0, 119, 215, 0.09);
  --rc-fill-secondary: rgba(0, 119, 215, 0.09);
  --rc-fill-disabled-primary: rgba(0, 119, 215, 0.5);
  --rc-fill-disabled-secondary: rgba(78, 69, 69, 0.05);
  --rc-fill-pressed-primary: #0077d7;
  --rc-fill-pressed-secondary: #ffffff;
  --rc-fill-hover-secondary: rgba(0, 119, 215, 0.07);
  --rc-fill-hover-primary-button: rgba(0, 119, 215, 0.8);
  --rc-fill-primary-accent-color: #0077d7;
  --rc-fill-button-tertiary: #ffffff;
  --rc-fill-button-tertiary-hover: rgba(0, 119, 215, 0.8);
  --rc-fill-button-tertiary-disabled: rgba(0, 119, 215, 0.5);
  --rc-text-primary: #4e4545;
  --rc-text-secondary: rgba(78, 69, 69, 0.4);
  --rc-text-tertiary: rgba(78, 69, 69, 0.6);
  --rc-text-button-primary: #ffffff;
  --rc-text-button-secondary: #0077d7;
  --rc-text-button-secondary-hover: #0077d7;
  --rc-text-button-disabled-primary: rgba(255, 255, 255, 0.5);
  --rc-text-button-disabled-secondary: rgba(78, 69, 69, 0.4);
  --rc-stroke-primary: rgba(78, 69, 69, 0.8);
  --rc-stroke-secondary: rgba(78, 69, 69, 0.5);
  --rc-stroke-tertiary: rgba(78, 69, 69, 0.4);
  --rc-stroke-quaternary: #0077d7;
  --rc-stroke-quinary: rgba(78, 69, 69, 0.2);
  --rc-stroke-hover-primary: #0077d7;
  --rc-stroke-divider: rgba(78, 69, 69, 0.1);
}
:root[data-platform=si] .mstr-rc-base-theme-container[data-theme=purple] {
  --rc-fill-primary: #ffffff;
  --rc-fill-capsule: #f8f9ff;
  --rc-fill-secondary: #f1f2fe;
  --rc-fill-disabled-primary: #a7aaf4;
  --rc-fill-disabled-secondary: #f2f3f5;
  --rc-fill-pressed-primary: #4044bb;
  --rc-fill-pressed-secondary: #e5e6f1;
  --rc-fill-hover-secondary: #f1f2fe;
  --rc-fill-hover-primary-button: #7377ed;
  --rc-fill-primary-accent-color: #5055e9;
  --rc-fill-button-tertiary: #181825;
  --rc-fill-button-tertiary-hover: #464651;
  --rc-fill-button-tertiary-disabled: #8b8b92;
  --rc-text-primary: #181825;
  --rc-text-secondary: #464651;
  --rc-text-tertiary: #575a5d;
  --rc-text-button-primary: #ffffff;
  --rc-text-button-disabled-primary: #ffffff;
  --rc-text-button-secondary: #5055e9;
  --rc-text-button-secondary-hover: #7377ed;
  --rc-text-button-disabled-secondary: #a7aaf4;
  --rc-stroke-primary: #575a5d;
  --rc-stroke-secondary: #d7d7d8;
  --rc-stroke-tertiary: #e7e9eb;
  --rc-stroke-quaternary: #9fa2ef;
  --rc-stroke-quinary: #d7d7d8;
  --rc-stroke-hover-primary: #5055e9;
  --rc-stroke-divider: rgba(24, 24, 37, 0.04);
}
.mstr-export-PDF-editor-content {
  padding: 0;
  display: flex;
  flex-direction: row;
  border-bottom: none;
}
.mstr-export-PDF-editor-content-border {
  border-bottom: 1px solid rgba(68, 70, 73, 0.15);
}
.mstr-export-PDF-editor-box {
  padding: 20px 20px 0 20px;
}
.mstr-export-PDF-editor-box-title {
  font-weight: bold;
  height: 1em;
  line-height: 1em;
}
.mstr-export-PDF-editor-box-padding {
  padding: 20px 23px 0 23px;
}
.mstr-export-PDF-editor-box .mstr-export-PDF-editor-radio > div {
  margin-bottom: 12px;
}
.mstr-export-PDF-editor-box .mstr-export-PDF-editor-radio .mstr-export-PDF-editor-info-icon {
  height: 15px;
  width: 15px;
  display: inline-block;
  margin-bottom: -3px;
  margin-left: 4px;
}
.mstr-export-PDF-editor-box .mstr-export-PDF-editor-radio .mstr-export-PDF-editor-info-icon .mstr-export-PDF-editor-info-tooltip {
  width: 150px;
}
.mstr-export-PDF-editor-box .mstr-export-PDF-editor-radio .mstr-export-PDF-editor-text {
  vertical-align: top;
}
.mstr-export-PDF-editor-box .mstr-export-PDF-editor-radio .mstr-rc-base-radio {
  margin-right: 2px;
}
.mstr-export-PDF-editor-label {
  white-space: nowrap;
  padding: 0 16px 10px 0;
  display: block;
  width: auto;
  font-size: 12px;
  margin-bottom: 0;
  height: 1em;
  line-height: 1em;
}
.mstr-export-PDF-editor-box,
.mstr-export-PDF-editor-grid {
  border-right: 1px solid rgba(68, 70, 73, 0.15);
}
.mstr-export-PDF-editor-more-settings-content {
  display: flex;
  flex-direction: column;
}
.mstr-export-PDF-editor-form-group {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  margin-bottom: 6px;
}
.mstr-export-PDF-editor-form-group-dropdown {
  min-width: 184px;
}
.mstr-export-PDF-editor-form-group-dropdown .mstr-rc-base-input {
  column-gap: 0;
  padding: 0 4px;
}
.mstr-export-PDF-editor-form-group-dropdown .mstr-rc-base-input:has( > :last-child:not(input)) {
  padding: 0 4px;
}
.mstr-export-PDF-editor-form-group > div:first-child {
  margin-top: 10px;
}
.mstr-export-PDF-editor-form-group-tabBar {
  display: table;
  border: 1px solid #ccc;
  border-radius: 4px;
  width: 100%;
  height: 24px;
  border-color: #3a92ed;
}
.mstr-export-PDF-editor-form-group-tabBar > div {
  display: table-row;
}
.mstr-export-PDF-editor-form-group-tabBar .mstr-export-PDF-editor-form-group-item {
  display: table-cell;
  cursor: pointer;
  border-right: 1px solid #ccc;
  text-align: center;
  vertical-align: middle;
  opacity: 1;
}
.mstr-export-PDF-editor-form-group-tabBar .mstr-export-PDF-editor-form-group-item:focus-visible {
  outline: 2px solid #0661e0;
  outline-offset: 2px;
  -moz-outline-radius: 2px;
}
.mstr-export-PDF-editor-form-group-tabBar .mstr-export-PDF-editor-form-group-item:last-child {
  border-right: none;
}
.mstr-export-PDF-editor-form-group-portrait {
  font-size: 18px;
  color: #3a92ed;
}
.mstr-export-PDF-editor-form-group-portrait-selected {
  background-color: #0f6ffa;
  color: #fff;
}
.mstr-export-PDF-editor-form-group-landscape {
  font-size: 14px;
  color: #3a92ed;
}
.mstr-export-PDF-editor-form-group-landscape-selected {
  background-color: #0f6ffa;
  color: #fff;
}
.mstr-export-PDF-editor-form-group-rangeTxt {
  margin-right: 16px;
}
.mstr-export-PDF-editor-form-group-contentTxt {
  margin-right: 5px;
}
.mstr-export-PDF-editor-form-group-paperSize {
  min-width: 176px;
}
.mstr-export-PDF-editor-contentDropdown {
  display: flex;
  align-items: center;
  gap: 3px;
  font-size: 11px;
}
.mstr-export-PDF-editor-contentDropdown .mstr-rc-base-input .mstr-icons-single-icon {
  display: none;
}
.mstr-export-PDF-editor-contentDropdown-options-dropdown__option-text {
  flex-direction: row-reverse;
  font-size: 11px;
}
.mstr-export-PDF-editor-display-options {
  display: flex;
  flex-direction: column;
  margin-bottom: 0px;
}
.mstr-export-PDF-editor-form-select .collapse-icon {
  background-image: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHZpZXdCb3g9IjAgMCAxOCAxOCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4NCjxwYXRoIGQ9Ik0xMiA4LjE1Mjg2TDkgMTAuODk5OUw2IDguMTQ5OSIgc3Ryb2tlPSIjMzUzODNBIiBzdHJva2UtbGluZWNhcD0ic3F1YXJlIi8+DQo8L3N2Zz4NCg==');
  width: 18px;
  transform: none;
}
.mstr-export-PDF-editor-form-select .collapse-icon svg {
  display: none;
}
.mstr-export-PDF-editor-form-select .mstr-rc-base-input,
.mstr-export-PDF-editor-form-select .mstr-rc-base-input:hover {
  background-color: transparent;
  border-radius: 2px;
  box-shadow: rgba(68, 70, 73, 0.05) 0 1px 2px 0;
  box-sizing: border-box;
  border: 1px solid rgba(68, 70, 73, 0.2);
}
.mstr-export-PDF-editor-form-select .mstr-rc-base-input:has(> input:disabled) {
  opacity: 0.35;
}
.mstr-export-PDF-editor-form-select .mstr-rc-base-input:focus-within {
  outline: 1px solid #0661e0;
  outline-offset: 0px;
}
.mstr-export-PDF-editor-form-select .mstr-rc-base-dropdown__option.active {
  font-weight: 600;
}
.mstr-export-PDF-editor-filterSelection {
  margin: 8px 0 20px 21px;
  min-width: 176px;
}
.mstr-export-PDF-editor-form-label {
  font-size: 14px;
  font-weight: 600;
  color: #333;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-checkbox-label {
  display: flex;
  align-items: center;
  gap: 3px;
  margin-top: 6px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-checkbox-label .mstr-rc-base-checkbox {
  width: 15px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-checkbox-label .mstr-rc-base-checkbox input:disabled {
  opacity: 0.15;
}
.mstr-export-PDF-editor-labelDisabled {
  color: #cecece;
}
.mstr-export-PDF-editor-filterSettings {
  margin: 6px 0px 0 0;
}
.mstr-export-PDF-editor-filterSettings .mstr-rc-base-checkbox {
  padding-right: 2px;
}
.mstr-export-PDF-editor-repeat-attribute {
  margin-left: 18px;
}
.mstr-export-PDF-editor-repeat-attribute .mstr-export-PDF-editor-text .mstr-icons-single-icon {
  width: 15px;
  height: 15px;
  margin-bottom: -3px;
}
.mstr-export-PDF-editor-expand-grid {
  margin-top: 0;
  display: block;
  line-height: 1em;
  height: 1em;
  margin-bottom: 12px;
}
.mstr-export-PDF-editor-expand-grid .mstr-export-PDF-editor-text {
  vertical-align: text-top;
  margin-left: 2px;
}
.mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip {
  z-index: 14;
  font-size: 11px;
  line-height: 18px;
  max-width: 300px !important;
  max-height: 186px !important;
  white-space: normal;
  word-wrap: break-word;
}
.mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip-radio {
  margin-left: 128px;
}
.mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip-radio .mstr-export-PDF-editor-tooltip__arrow {
  margin-left: -127px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-footer {
  display: flex;
  justify-content: flex-start;
  flex-direction: row-reverse;
  padding: 0px 22px 13px 22px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-footer-padding {
  padding: 13px 22px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-footer .mstr-export-PDF-editor-footer-button {
  overflow: hidden;
  text-align: center;
  text-overflow: ellipsis;
  white-space: nowrap;
  display: block;
  font-size: 12px;
  line-height: 24px;
  padding: 0 4px;
  border-radius: 2px;
  min-width: 64px;
}
.mstr-export-PDF-editor .mstr-export-PDF-editor-footer .mstr-export-PDF-editor-footer-cancelBtn {
  margin-left: 10px;
  background: #fff;
  color: #444649;
  border: 1px solid rgba(68, 70, 73, 0.2);
}
@media (forced-colors: active) {
  .mstr-export-PDF-editor .collapse-icon {
    filter: invert(1) brightness(2);
  }
  .mstr-export-PDF-editor .mstr-export-PDF-editor-footer-button {
    border: 1px solid ButtonText;
  }
}
@media (max-width: 600px) {
  .mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip {
    width: 275px !important;
  }
  .mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip-radio {
    margin-left: 42px;
  }
  .mstr-rc-base-tooltip.mstr-export-PDF-editor-tooltip-radio .mstr-export-PDF-editor-tooltip__arrow {
    margin-left: -43px;
  }
}
.mstr-export-PDF-loading-placeholder {
  min-width: 480px;
  min-height: 300px;
}
div.mstr-export-PDF-editor-form-select {
  z-index: 14;
}

